# azure.mgmt.trafficmanager.operations module

class `azure.mgmt.trafficmanager.operations.``EndpointsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  EndpointsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update`(resource_group_name, profile_name, endpoint_type, endpoint_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a Traffic Manager endpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager endpoint to be created or updated.
    - profile_name (str) – The name of the Traffic Manager profile.
    - endpoint_type (str) – The type of the Traffic Manager endpoint to be created or updated.
    - endpoint_name (str) – The name of the Traffic Manager endpoint to be created or updated.
    - parameters (`Endpoint`) – The Traffic Manager endpoint parameters supplied to the CreateOrUpdate operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, profile_name, endpoint_type, endpoint_name, custom_headers=None, raw=False, **operation_config)

    Deletes a Traffic Manager endpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager endpoint to be deleted.
    - profile_name (str) – The name of the Traffic Manager profile.
    - endpoint_type (str) – The type of the Traffic Manager endpoint to be deleted.
    - endpoint_name (str) – The name of the Traffic Manager endpoint to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, profile_name, endpoint_type, endpoint_name, custom_headers=None, raw=False, **operation_config)

    Gets a Traffic Manager endpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager endpoint.
    - profile_name (str) – The name of the Traffic Manager profile.
    - endpoint_type (str) – The type of the Traffic Manager endpoint.
    - endpoint_name (str) – The name of the Traffic Manager endpoint.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

  `update`(resource_group_name, profile_name, endpoint_type, endpoint_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update a Traffic Manager endpoint.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager endpoint to be updated.
    - profile_name (str) – The name of the Traffic Manager profile.
    - endpoint_type (str) – The type of the Traffic Manager endpoint to be updated.
    - endpoint_name (str) – The name of the Traffic Manager endpoint to be updated.
    - parameters (`Endpoint`) – The Traffic Manager endpoint parameters supplied to the Update operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Endpoint`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.trafficmanager.operations.``ProfilesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProfilesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `check_traffic_manager_relative_dns_name_availability`(name=None, type=None, custom_headers=None, raw=False, **operation_config)

    Checks the availability of a Traffic Manager Relative DNS name.

    Parameters:

    - name (str) – Gets or sets the name of the resource.
    - type (str) – Gets or sets the type of the resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `TrafficManagerNameAvailability`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update`(resource_group_name, profile_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a Traffic Manager profile.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager profile.
    - profile_name (str) – The name of the Traffic Manager profile.
    - parameters (`Profile`) – The Traffic Manager profile parameters supplied to the CreateOrUpdate operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Profile`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, profile_name, custom_headers=None, raw=False, **operation_config)

    Deletes a Traffic Manager profile.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager profile to be deleted.
    - profile_name (str) – The name of the Traffic Manager profile to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, profile_name, custom_headers=None, raw=False, **operation_config)

    Gets a Traffic Manager profile.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager profile.
    - profile_name (str) – The name of the Traffic Manager profile.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Profile`
    Return type: | `ClientRawResponse` if raw=true

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Lists all Traffic Manager profiles within a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ProfilePaged`

  `list_all_in_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all Traffic Manager profiles within a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager profiles to be listed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ProfilePaged`

  `update`(resource_group_name, profile_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update a Traffic Manager profile.

    Parameters:

    - resource_group_name (str) – The name of the resource group containing the Traffic Manager profile.
    - profile_name (str) – The name of the Traffic Manager profile.
    - parameters (`Profile`) – The Traffic Manager profile parameters supplied to the Update operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Profile`
    Return type: | `ClientRawResponse` if raw=true